Skip to main content
GET
/
api
/
v1
/
hubs
/
{hub_id}
/
search
/
community
Search Community
curl --request GET \
  --url https://api.member.dev/api/v1/hubs/{hub_id}/search/community \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "author_contact_id": "<string>",
        "body_excerpt": "<string>",
        "hub_id": "<string>",
        "lexical_rank": 123,
        "published_at": "<string>",
        "rrf_score": 123,
        "semantic_rank": 123,
        "source_id": "<string>",
        "source_type": "<string>",
        "space_id": "<string>",
        "title": "<string>"
      },
      "id": "<string>",
      "type": "<string>",
      "links": {
        "self": "<string>"
      },
      "meta": {},
      "relationships": {}
    }
  ],
  "included": [
    "<unknown>"
  ],
  "links": {
    "next": "<string>",
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

hub_id
string
required

Query Parameters

q
string
required
Required string length: 1 - 500
type
enum<string>
default:all
Available options:
all,
discussions,
comments
page[size]
integer
default:20
Required range: 1 <= x <= 100
page[after]
string | null

Response

Successful Response

data
JsonApiResource[SearchResultAttributes] · object[]
required
included
any[] | null
meta
Meta · object